## task 1.9.4

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
include (CheckFunctionExists)

set (HAVE_CMAKE true)

project (task)
set (PROJECT_VERSION "1.9.4")

SET (TASK_MAN1DIR share/man/man1 CACHE STRING "Installation directory for man pages, section 1")
SET (TASK_MAN5DIR share/man/man5 CACHE STRING "Installation directory for man pages, section 5")
SET (TASK_DOCDIR  share/doc/task CACHE STRING "Installation directory for doc files")
SET (TASK_BINDIR  bin            CACHE STRING "Installation directory for the binary")

message ("-- Looking for SHA1 references")
if (EXISTS .git/index)
  set (HAVE_COMMIT true)
  execute_process (COMMAND git log -1 --pretty=format:%h
                   OUTPUT_VARIABLE COMMIT)
  configure_file ( ${CMAKE_SOURCE_DIR}/commit.h.in
                   ${CMAKE_SOURCE_DIR}/commit.h)
  message ("-- Found SHA1 reference: ${COMMIT}")
endif (EXISTS .git/index)


set (PACKAGE "${PROJECT_NAME}")
set (VERSION "${PROJECT_VERSION}")
set (PACKAGE_BUGREPORT "support@taskwarrior.org")
set (PACKAGE_NAME "${PACKAGE}")
set (PACKAGE_TARNAME "${PACKAGE}")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_STRING "${PACKAGE} ${VERSION}")

message ("-- Looking for Lua51")
find_package (Lua51)
if (LUA51_FOUND)
  message ("-- Found Lua51: ${LUA_LIBRARIES}")
  set (HAVE_LIBLUA true)
  set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${LUA_INCLUDE_DIR})
  set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${LUA_LIBRARIES})
endif (LUA51_FOUND)

message ("-- Looking for pthread")
find_path (PTHREAD_INCLUDE_DIR pthread.h)
find_library (PTHREAD_LIBRARY NAMES pthread)
if (PTHREAD_INCLUDE_DIR AND PTHREAD_LIBRARY)
  message ("-- Found pthread: ${PTHREAD_LIBRARY}")
  set (HAVE_LIBPTHREAD true)
  set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${PTHREAD_INCLUDE_DIR})
  set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${PTHREAD_LIBRARIES})
endif (PTHREAD_INCLUDE_DIR AND PTHREAD_LIBRARY)

#message ("-- Looking for readline")
#find_path    (READLINE_INCLUDE_DIR   readline/readline.h)
#find_library (READLINE_LIBRARY NAMES readline)
#if (READLINE_INCLUDE_DIR AND READLINE_LIBRARY)
#  message ("-- Found readline: ${READLINE_LIBRARY}")
#  set (HAVE_LIBREADLINE true)
#  set (HAVE_READLINE true)
#  set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${READLINE_INCLUDE_DIR})
#  set (TASK_LIBRARIES    ${TASK_LIBRARIES }   ${READLINE_LIBRARIES})
#endif (READLINE_INCLUDE_DIR AND READLINE_LIBRARY)

check_function_exists (random  HAVE_RANDOM)
check_function_exists (srandom HAVE_SRANDOM)
check_function_exists (uuid_unparse_lower HAVE_UUID)

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set (LINUX true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set (DARWIN true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
	set (FREEBSD true)
else (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set (UNKNOWN true)
endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")

message ("-- Configuring auto.h")
configure_file (
  ${CMAKE_SOURCE_DIR}/cmake.h.in
  ${CMAKE_SOURCE_DIR}/auto.h)

add_subdirectory (src)
add_subdirectory (doc)
add_subdirectory (i18n)
add_subdirectory (scripts)
if (EXISTS test)
  add_subdirectory (test EXCLUDE_FROM_ALL)
endif (EXISTS test)

set (doc_FILES NEWS ChangeLog README INSTALL AUTHORS COPYING)
foreach (doc_FILE ${doc_FILES})
  install (FILES ${doc_FILE}  DESTINATION ${TASK_DOCDIR})
endforeach (doc_FILE)

# ---

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
set (CPACK_SOURCE_IGNORE_FILES  "CMakeCache" "CMakeFiles" "CPackConfig" "CPackSourceConfig"
                                "_CPack_Packages" "cmake_install" "install_manifest"
                                "Makefile$" "test" "package-config" "misc/*"
                                "src/task$" "src/libtask.a" "auto.h$"
                                "/\\.gitignore" "/\\.git/" "swp$")
include (CPack)

=== doc/CMakeLists.txt ===
message ("-- Configuring man pages")
set (man_FILES task-color.5 task-faq.5 task-sync.5 task-tutorial.5 task.1 taskrc.5)
foreach (man_FILE ${man_FILES})
  configure_file (
    man/${man_FILE}.in
    man/${man_FILE})
endforeach (man_FILE)

install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/man/ DESTINATION ${TASK_MAN1DIR}
                                                    FILES_MATCHING PATTERN "*.1")
install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/man/ DESTINATION ${TASK_MAN5DIR}
                                                    FILES_MATCHING PATTERN "*.5")
install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/rc   DESTINATION ${TASK_DOCDIR})

=== i18n/CMakeLists.txt ===
install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/ DESTINATION ${TASK_DOCDIR}/i18n
                                                FILES_MATCHING REGEX "strings.*"
                                                               REGEX "tips.*"
                                                               PATTERN "CMakeFiles" EXCLUDE)

=== scripts/CMakeLists.txt ===
install (DIRECTORY bash fish vim zsh add-ons DESTINATION ${TASK_DOCDIR}/scripts)

=== src/CMakeLists.txt ===
include_directories (${CMAKE_SOURCE_DIR}/src
                     ${TASK_INCLUDE_DIRS})

set (task_SRCS API.cpp API.h Att.cpp Att.h Cmd.cpp Cmd.h Color.cpp Color.h
               Config.cpp Config.h Context.cpp Context.h Date.cpp Date.h
               Directory.cpp Directory.h Duration.cpp Duration.h File.cpp
               File.h Filter.cpp Filter.h Grid.cpp Grid.h Hooks.cpp Hooks.h
               JSON.cpp JSON.h Keymap.cpp Keymap.h Lisp.cpp Lisp.h Location.cpp
               Location.h Nibbler.cpp Nibbler.h Path.cpp Path.h Permission.cpp
               Permission.h Record.cpp Record.h Rectangle.cpp Rectangle.h
               Sensor.cpp Sensor.h Sequence.cpp Sequence.h StringTable.cpp
               StringTable.h Subst.cpp Subst.h TDB.cpp TDB.h Table.cpp Table.h
               Task.cpp Task.h Taskmod.cpp Taskmod.h Thread.cpp Thread.h
               Timer.cpp Timer.h Transport.cpp Transport.h TransportSSH.cpp
               TransportSSH.h TransportRSYNC.cpp TransportRSYNC.h
               TransportCurl.cpp TransportCurl.h Tree.cpp Tree.h burndown.cpp
               command.cpp custom.cpp dependency.cpp diag.cpp edit.cpp
               export.cpp history.cpp i18n.h import.cpp interactive.cpp
               recur.cpp report.cpp rules.cpp rx.cpp rx.h text.cpp text.h
               utf8.cpp utf8.h util.cpp util.h Uri.cpp Uri.h)

add_library (task STATIC ${task_SRCS})
add_executable (task_executable main.cpp)
target_link_libraries (task_executable task ${TASK_LIBRARIES})
set_property (TARGET task_executable PROPERTY OUTPUT_NAME "task")

install (TARGETS task_executable DESTINATION ${TASK_BINDIR})

set (CMAKE_BUILD_TYPE debug)
set (CMAKE_C_FLAGS_DEBUG "-ggdb3")
set (CMAKE_C_FLAGS_RELEASE "-O3")

## task 2.0.0.beta4

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
include (CheckFunctionExists)

set (HAVE_CMAKE true)

project (task)
set (PROJECT_VERSION "2.0.0.beta4")

SET (TASK_MAN1DIR share/man/man1 CACHE STRING "Installation directory for man pages, section 1")
SET (TASK_MAN5DIR share/man/man5 CACHE STRING "Installation directory for man pages, section 5")
SET (TASK_DOCDIR  share/doc/task CACHE STRING "Installation directory for doc files")
SET (TASK_BINDIR  bin            CACHE STRING "Installation directory for the binary")

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set (LINUX true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set (DARWIN true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
  set (FREEBSD true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
  set (SOLARIS true)
else (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set (UNKNOWN true)
endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")

message ("-- Looking for SHA1 references")
if (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)
  set (HAVE_COMMIT true)
  execute_process (COMMAND git log -1 --pretty=format:%h
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
                   OUTPUT_VARIABLE COMMIT)
  configure_file ( ${CMAKE_SOURCE_DIR}/commit.h.in
                   ${CMAKE_SOURCE_DIR}/commit.h)
  message ("-- Found SHA1 reference: ${COMMIT}")
endif (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)

set (PACKAGE "${PROJECT_NAME}")
set (VERSION "${PROJECT_VERSION}")
set (PACKAGE_BUGREPORT "support@taskwarrior.org")
set (PACKAGE_NAME "${PACKAGE}")
set (PACKAGE_TARNAME "${PACKAGE}")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_STRING "${PACKAGE} ${VERSION}")

message ("-- Looking for Lua51")
find_package (Lua51)
if (LUA51_FOUND)
  message ("-- Found Lua51: ${LUA_LIBRARIES}")
  set (HAVE_LIBLUA true)
  set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${LUA_INCLUDE_DIR})
  set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${LUA_LIBRARIES})
endif (LUA51_FOUND)

#message ("-- Looking for pthread")
#find_path (PTHREAD_INCLUDE_DIR pthread.h)
#find_library (PTHREAD_LIBRARY NAMES pthread)
#if (PTHREAD_INCLUDE_DIR AND PTHREAD_LIBRARY)
#  message ("-- Found pthread: ${PTHREAD_LIBRARY}")
#  set (HAVE_LIBPTHREAD true)
#  set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${PTHREAD_INCLUDE_DIR})
#  set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${PTHREAD_LIBRARIES})
#endif (PTHREAD_INCLUDE_DIR AND PTHREAD_LIBRARY)

check_function_exists (random  HAVE_RANDOM)
check_function_exists (srandom HAVE_SRANDOM)

message ("-- Looking for libuuid")
if (DARWIN)
  # Apple includes the uuid functions in their libc, rather than libuuid
  set (HAVE_UUID true)
  check_function_exists (uuid_unparse_lower HAVE_UUID_UNPARSE_LOWER)
else (DARWIN)
  find_path    (UUID_INCLUDE_DIR   uuid/uuid.h)
  find_library (UUID_LIBRARY NAMES uuid)
  if (UUID_INCLUDE_DIR AND UUID_LIBRARY)
    set (HAVE_UUID true)
    set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${UUID_INCLUDE_DIR})
    set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${UUID_LIBRARY})
    # Look for uuid_unparse_lower
    set (CMAKE_REQUIRED_INCLUDES  ${CMAKE_REQUIRED_INCLUDES}  ${UUID_INCLUDE_DIR})
    set (CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${UUID_LIBRARY})
    check_function_exists (uuid_unparse_lower HAVE_UUID_UNPARSE_LOWER)
  endif (UUID_INCLUDE_DIR AND UUID_LIBRARY)
endif (DARWIN)

if (HAVE_UUID AND HAVE_UUID_UNPARSE_LOWER)
  message ("-- Found libuuid")
elseif (HAVE_UUID AND NOT HAVE_UUID_UNPARSE_LOWER)
  message ("-- Found libuuid, using internal uuid_unparse_lower")
else (HAVE_UUID AND HAVE_UUID_UNPARSE_LOWER)
  message ("-- libuuid not found, using internal uuid")
endif (HAVE_UUID AND HAVE_UUID_UNPARSE_LOWER)

message ("-- Configuring cmake.h")
configure_file (
  ${CMAKE_SOURCE_DIR}/cmake.h.in
  ${CMAKE_SOURCE_DIR}/cmake.h)

add_subdirectory (src)
add_subdirectory (src/commands)
add_subdirectory (src/columns)
add_subdirectory (doc)
add_subdirectory (i18n)
add_subdirectory (scripts)
if (EXISTS test)
  add_subdirectory (test EXCLUDE_FROM_ALL)
endif (EXISTS test)

set (doc_FILES NEWS ChangeLog README INSTALL AUTHORS COPYING)
foreach (doc_FILE ${doc_FILES})
  install (FILES ${doc_FILE}  DESTINATION ${TASK_DOCDIR})
endforeach (doc_FILE)

# ---

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
set (CPACK_SOURCE_IGNORE_FILES  "CMakeCache" "CMakeFiles" "CPackConfig" "CPackSourceConfig"
                                "_CPack_Packages" "cmake_install" "install_manifest"
                                "Makefile$" "test" "package-config" "misc/*"
                                "src/task$" "src/libtask.a" "auto.h$"
                                "/\\.gitignore" "/\\.git/" "swp$")
include (CPack)

=== src/columns/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR}/src/commands
                     ${CMAKE_SOURCE_DIR}/src/columns
                     ${TASK_INCLUDE_DIRS})

set (columns_SRCS Column.cpp Column.h
                  ColBg.cpp ColBg.h
                  ColDate.cpp ColDate.h
                  ColDepends.cpp ColDepends.h
                  ColDescription.cpp ColDescription.h
                  ColDue.cpp ColDue.h
                  ColEnd.cpp ColEnd.h
                  ColEntry.cpp ColEntry.h
                  ColFg.cpp ColFg.h
                  ColID.cpp ColID.h
                  ColIMask.cpp ColIMask.h
                  ColMask.cpp ColMask.h
                  ColParent.cpp ColParent.h
                  ColPriority.cpp ColPriority.h
                  ColProject.cpp ColProject.h
                  ColRecur.cpp ColRecur.h
                  ColStart.cpp ColStart.h
                  ColStatus.cpp ColStatus.h
                  ColString.cpp ColString.h
                  ColTags.cpp ColTags.h
                  ColUntil.cpp ColUntil.h
                  ColUrgency.cpp ColUrgency.h
                  ColUUID.cpp ColUUID.h
                  ColWait.cpp ColWait.h)

add_library (columns STATIC ${columns_SRCS})

set (CMAKE_BUILD_TYPE debug)
set (CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG}   -ggdb3 -Wall")
set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -Wall")


#SET(CMAKE_BUILD_TYPE gcov)
#SET(CMAKE_CXX_FLAGS_GCOV "--coverage")
#SET(CMAKE_C_FLAGS_GCOV "--coverage")
#SET(CMAKE_EXE_LINKER_FLAGS_GCOV "--coverage")

## task 2.0.0.beta5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set (HAVE_CMAKE true)
 
 project (task)
-set (PROJECT_VERSION "2.0.0.beta4")
+set (PROJECT_VERSION "2.0.0.beta5")
 
 SET (TASK_MAN1DIR share/man/man1 CACHE STRING "Installation directory for man pages, section 1")
 SET (TASK_MAN5DIR share/man/man5 CACHE STRING "Installation directory for man pages, section 5")

=== scripts/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
install (DIRECTORY bash fish vim zsh add-ons extensions DESTINATION ${TASK_DOCDIR}/scripts)

=== src/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR}/src/commands
                     ${CMAKE_SOURCE_DIR}/src/columns
                     ${TASK_INCLUDE_DIRS})

set (task_SRCS A3.cpp A3.h
               API.cpp API.h
               Arg.cpp Arg.h
               Color.cpp Color.h
               Config.cpp Config.h
               Context.cpp Context.h
               DOM.cpp DOM.h
               Date.cpp Date.h
               Directory.cpp Directory.h
               Duration.cpp Duration.h
               E9.cpp E9.h
               File.cpp File.h
               Hooks.cpp Hooks.h
               JSON.cpp JSON.h
               Nibbler.cpp Nibbler.h
               Path.cpp Path.h
               RX.cpp RX.h
               TDB2.cpp TDB2.h
               Task.cpp Task.h
               Taskmod.cpp Taskmod.h
               Timer.cpp Timer.h
               Transport.cpp Transport.h
               TransportCurl.cpp TransportCurl.h
               TransportRSYNC.cpp TransportRSYNC.h
               TransportSSH.cpp TransportSSH.h
               Uri.cpp Uri.h
               ViewTask.cpp ViewTask.h
               ViewText.cpp ViewText.h
               helpers.cpp
               dependency.cpp
               feedback.cpp
               i18n.h
               interactive.cpp
               legacy.cpp
               recur.cpp
               rules.cpp
               sort.cpp
               text.cpp text.h
               utf8.cpp utf8.h
               util.cpp util.h)

add_library (task STATIC ${task_SRCS})
add_executable (task_executable main.cpp)

# Yes, 'task' is included twice, other linking fails on CentOS.
target_link_libraries (task_executable task commands columns task ${TASK_LIBRARIES})

set_property (TARGET task_executable PROPERTY OUTPUT_NAME "task")

install (TARGETS task_executable DESTINATION ${TASK_BINDIR})

set (CMAKE_BUILD_TYPE debug)
set (CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG}   -ggdb3 -Wall")
set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -Wall")

#SET(CMAKE_BUILD_TYPE gcov)
#SET(CMAKE_CXX_FLAGS_GCOV "--coverage")
#SET(CMAKE_C_FLAGS_GCOV "--coverage")
#SET(CMAKE_EXE_LINKER_FLAGS_GCOV "--coverage")

=== src/columns/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
                   ColTags.cpp ColTags.h
                   ColUntil.cpp ColUntil.h
                   ColUrgency.cpp ColUrgency.h
+                  ColUDA.cpp ColUDA.h
                   ColUUID.cpp ColUUID.h
                   ColWait.cpp ColWait.h)

=== src/commands/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR}/src/commands
                     ${CMAKE_SOURCE_DIR}/src/columns
                     ${TASK_INCLUDE_DIRS})

set (commands_SRCS Command.cpp        Command.h
                   CmdAdd.cpp         CmdAdd.h
                   CmdAnnotate.cpp    CmdAnnotate.h
                   CmdAppend.cpp      CmdAppend.h
                   CmdBurndown.cpp    CmdBurndown.h
                   CmdCalendar.cpp    CmdCalendar.h
                   CmdCommands.cpp    CmdCommands.h
                   CmdColor.cpp       CmdColor.h
                   CmdColumns.cpp     CmdColumns.h
                   CmdConfig.cpp      CmdConfig.h
                   CmdCount.cpp       CmdCount.h
                   CmdCustom.cpp      CmdCustom.h
                   CmdDelete.cpp      CmdDelete.h
                   CmdDenotate.cpp    CmdDenotate.h
                   CmdDiagnostics.cpp CmdDiagnostics.h
                   CmdDone.cpp        CmdDone.h
                   CmdDuplicate.cpp   CmdDuplicate.h
                   CmdEdit.cpp        CmdEdit.h
                   CmdExec.cpp        CmdExec.h
                   CmdExport.cpp      CmdExport.h
                   CmdHelp.cpp        CmdHelp.h
                   CmdHistory.cpp     CmdHistory.h
                   CmdIDs.cpp         CmdIDs.h
                   CmdImport.cpp      CmdImport.h
                   CmdInfo.cpp        CmdInfo.h
                   CmdLog.cpp         CmdLog.h
                   CmdLogo.cpp        CmdLogo.h
                   CmdMerge.cpp       CmdMerge.h
                   CmdModify.cpp      CmdModify.h
                   CmdPrepend.cpp     CmdPrepend.h
                   CmdProjects.cpp    CmdProjects.h
                   CmdPull.cpp        CmdPull.h
                   CmdPush.cpp        CmdPush.h
                   CmdReports.cpp     CmdReports.h
                   CmdShell.cpp       CmdShell.h
                   CmdShow.cpp        CmdShow.h
                   CmdStart.cpp       CmdStart.h
                   CmdStatistics.cpp  CmdStatistics.h
                   CmdStop.cpp        CmdStop.h
                   CmdSummary.cpp     CmdSummary.h
                   CmdSynch.cpp       CmdSynch.h
                   CmdTags.cpp        CmdTags.h
                   CmdTimesheet.cpp   CmdTimesheet.h
                   CmdUndo.cpp        CmdUndo.h
                   CmdUrgency.cpp     CmdUrgency.h
                   CmdVersion.cpp     CmdVersion.h)

add_library (commands STATIC ${commands_SRCS})

set (CMAKE_BUILD_TYPE debug)
set (CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG}   -ggdb3 -Wall")
set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -Wall")

#SET(CMAKE_BUILD_TYPE gcov)
#SET(CMAKE_CXX_FLAGS_GCOV "--coverage")
#SET(CMAKE_C_FLAGS_GCOV "--coverage")
#SET(CMAKE_EXE_LINKER_FLAGS_GCOV "--coverage")

## task 2.0.0.release

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,12 @@
 cmake_minimum_required (VERSION 2.8)
+set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
+
 include (CheckFunctionExists)
 
 set (HAVE_CMAKE true)
 
 project (task)
-set (PROJECT_VERSION "2.0.0.beta5")
+set (PROJECT_VERSION "2.0.0")
 
 SET (TASK_MAN1DIR share/man/man1 CACHE STRING "Installation directory for man pages, section 1")
 SET (TASK_MAN5DIR share/man/man5 CACHE STRING "Installation directory for man pages, section 5")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,6 @@
                Uri.cpp Uri.h
                ViewTask.cpp ViewTask.h
                ViewText.cpp ViewText.h
-               helpers.cpp
                dependency.cpp
                feedback.cpp
                i18n.h
@@ -57,7 +56,7 @@
 install (TARGETS task_executable DESTINATION ${TASK_BINDIR})
 
 set (CMAKE_BUILD_TYPE debug)
-set (CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG}   -ggdb3 -Wall")
+set (CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG}   -g -Wall")
 set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -Wall")
 
 #SET(CMAKE_BUILD_TYPE gcov)

=== src/columns/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 add_library (columns STATIC ${columns_SRCS})
 
 set (CMAKE_BUILD_TYPE debug)
-set (CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG}   -ggdb3 -Wall")
+set (CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG}   -g -Wall")
 set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -Wall")

=== src/commands/CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,7 @@
 add_library (commands STATIC ${commands_SRCS})
 
 set (CMAKE_BUILD_TYPE debug)
-set (CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG}   -ggdb3 -Wall")
+set (CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG}   -g -Wall")
 set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -Wall")
 
 #SET(CMAKE_BUILD_TYPE gcov)

## task 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,12 @@
 set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
 
 include (CheckFunctionExists)
+include (CheckStructHasMember)
 
 set (HAVE_CMAKE true)
 
 project (task)
-set (PROJECT_VERSION "2.0.0")
+set (PROJECT_VERSION "2.1.1")
 
 SET (TASK_MAN1DIR share/man/man1 CACHE STRING "Installation directory for man pages, section 1")
 SET (TASK_MAN5DIR share/man/man5 CACHE STRING "Installation directory for man pages, section 5")
@@ -19,6 +20,10 @@
   set (DARWIN true)
 elseif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
   set (FREEBSD true)
+elseif (${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
+  set (OPENBSD true)
+elseif (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
+  set (NETBSD true)
 elseif (${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
   set (SOLARIS true)
 else (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
@@ -65,6 +70,9 @@
 
 check_function_exists (random  HAVE_RANDOM)
 check_function_exists (srandom HAVE_SRANDOM)
+check_function_exists (timegm  HAVE_TIMEGM)
+
+check_struct_has_member ("struct tm" tm_gmtoff time.h HAVE_TM_GMTOFF)
 
 message ("-- Looking for libuuid")
 if (DARWIN)

=== doc/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
message ("-- Configuring man pages")
set (man_FILES task-color.5 task-faq.5 task-sync.5 task-tutorial.5 task.1 taskrc.5)
foreach (man_FILE ${man_FILES})
  configure_file (
    man/${man_FILE}.in
    man/${man_FILE})
endforeach (man_FILE)

install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/man/   DESTINATION ${TASK_MAN1DIR}
                                                      FILES_MATCHING PATTERN "*.1")
install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/man/   DESTINATION ${TASK_MAN5DIR}
                                                      FILES_MATCHING PATTERN "*.5")
install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/rc     DESTINATION ${TASK_DOCDIR})

install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/ref/task-ref.pdf DESTINATION ${TASK_DOCDIR})

=== scripts/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
install (DIRECTORY bash fish vim zsh extensions
         DESTINATION ${TASK_DOCDIR}/scripts)
install (DIRECTORY add-ons
         DESTINATION ${TASK_DOCDIR}/scripts
         FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
                          GROUP_READ             GROUP_EXECUTE
                          WORLD_READ             WORLD_EXECUTE)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,8 @@
                sort.cpp
                text.cpp text.h
                utf8.cpp utf8.h
-               util.cpp util.h)
+               util.cpp util.h
+               wcwidth6.c)
 
 add_library (task STATIC ${task_SRCS})
 add_executable (task_executable main.cpp)

=== src/columns/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
                   ColPriority.cpp ColPriority.h
                   ColProject.cpp ColProject.h
                   ColRecur.cpp ColRecur.h
+                  ColScheduled.cpp ColScheduled.h
                   ColStart.cpp ColStart.h
                   ColStatus.cpp ColStatus.h
                   ColString.cpp ColString.h

=== src/commands/CMakeLists.txt ===
--- 
+++ 
@@ -48,6 +48,7 @@
                    CmdSynch.cpp       CmdSynch.h
                    CmdTags.cpp        CmdTags.h
                    CmdTimesheet.cpp   CmdTimesheet.h
+                   CmdUDAs.cpp        CmdUDAs.h
                    CmdUndo.cpp        CmdUndo.h
                    CmdUrgency.cpp     CmdUrgency.h
                    CmdVersion.cpp     CmdVersion.h)

## task 2.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 cmake_minimum_required (VERSION 2.8)
-set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
 
 include (CheckFunctionExists)
 include (CheckStructHasMember)
@@ -7,7 +6,7 @@
 set (HAVE_CMAKE true)
 
 project (task)
-set (PROJECT_VERSION "2.1.1")
+set (PROJECT_VERSION "2.1.2")
 
 SET (TASK_MAN1DIR share/man/man1 CACHE STRING "Installation directory for man pages, section 1")
 SET (TASK_MAN5DIR share/man/man5 CACHE STRING "Installation directory for man pages, section 5")

## task 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 cmake_minimum_required (VERSION 2.8)
+set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
 
 include (CheckFunctionExists)
 include (CheckStructHasMember)
@@ -6,7 +7,7 @@
 set (HAVE_CMAKE true)
 
 project (task)
-set (PROJECT_VERSION "2.1.2")
+set (PROJECT_VERSION "2.2.0")
 
 SET (TASK_MAN1DIR share/man/man1 CACHE STRING "Installation directory for man pages, section 1")
 SET (TASK_MAN5DIR share/man/man5 CACHE STRING "Installation directory for man pages, section 5")
@@ -48,30 +49,12 @@
 set (PACKAGE_VERSION "${VERSION}")
 set (PACKAGE_STRING "${PACKAGE} ${VERSION}")
 
-message ("-- Looking for Lua51")
-find_package (Lua51)
-if (LUA51_FOUND)
-  message ("-- Found Lua51: ${LUA_LIBRARIES}")
-  set (HAVE_LIBLUA true)
-  set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${LUA_INCLUDE_DIR})
-  set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${LUA_LIBRARIES})
-endif (LUA51_FOUND)
-
-#message ("-- Looking for pthread")
-#find_path (PTHREAD_INCLUDE_DIR pthread.h)
-#find_library (PTHREAD_LIBRARY NAMES pthread)
-#if (PTHREAD_INCLUDE_DIR AND PTHREAD_LIBRARY)
-#  message ("-- Found pthread: ${PTHREAD_LIBRARY}")
-#  set (HAVE_LIBPTHREAD true)
-#  set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${PTHREAD_INCLUDE_DIR})
-#  set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${PTHREAD_LIBRARIES})
-#endif (PTHREAD_INCLUDE_DIR AND PTHREAD_LIBRARY)
-
 check_function_exists (random  HAVE_RANDOM)
 check_function_exists (srandom HAVE_SRANDOM)
 check_function_exists (timegm  HAVE_TIMEGM)
 
 check_struct_has_member ("struct tm" tm_gmtoff time.h HAVE_TM_GMTOFF)
+check_struct_has_member ("struct stat" st_birthtime "sys/types.h;sys/stat.h" HAVE_ST_BIRTHTIME)
 
 message ("-- Looking for libuuid")
 if (DARWIN)
@@ -100,6 +83,18 @@
   message ("-- libuuid not found, using internal uuid")
 endif (HAVE_UUID AND HAVE_UUID_UNPARSE_LOWER)
 
+# Set the package language.
+if (LANGUAGE)
+  set (PACKAGE_LANGUAGE ${LANGUAGE})
+else (LANGUAGE)
+  set (PACKAGE_LANGUAGE 1)
+endif (LANGUAGE)
+
+set (LANGUAGE_EN_US 1)
+set (LANGUAGE_ES_ES 2)
+set (LANGUAGE_DE_DE 3)
+set (LANGUAGE_FR_FR 4)
+
 message ("-- Configuring cmake.h")
 configure_file (
   ${CMAKE_SOURCE_DIR}/cmake.h.in
@@ -114,6 +109,9 @@
 if (EXISTS test)
   add_subdirectory (test EXCLUDE_FROM_ALL)
 endif (EXISTS test)
+if (EXISTS performance)
+  add_subdirectory (performance EXCLUDE_FROM_ALL)
+endif (EXISTS performance)
 
 set (doc_FILES NEWS ChangeLog README INSTALL AUTHORS COPYING)
 foreach (doc_FILE ${doc_FILES})
@@ -125,8 +123,8 @@
 set (CPACK_SOURCE_GENERATOR "TGZ")
 set (CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
 set (CPACK_SOURCE_IGNORE_FILES  "CMakeCache" "CMakeFiles" "CPackConfig" "CPackSourceConfig"
-                                "_CPack_Packages" "cmake_install" "install_manifest"
-                                "Makefile$" "test" "package-config" "misc/*"
-                                "src/task$" "src/libtask.a" "auto.h$"
-                                "/\\.gitignore" "/\\.git/" "swp$")
+                                "_CPack_Packages" "cmake_install" "install_manifest" "Makefile$"
+				"test" "package-config" "misc/*" "src/task$" "src/libtask.a"
+				"src/columns/libcolumns.a" "src/commands/libcommands.a"
+                                "auto.h$" "/\\.gitignore" "/\\.git/" "swp$")
 include (CPack)

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
     man/${man_FILE})
 endforeach (man_FILE)
 
-install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/man/   DESTINATION ${TASK_MAN1DIR}
+install (DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/man/   DESTINATION ${TASK_MAN1DIR}
                                                       FILES_MATCHING PATTERN "*.1")
-install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/man/   DESTINATION ${TASK_MAN5DIR}
+install (DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/man/   DESTINATION ${TASK_MAN5DIR}
                                                       FILES_MATCHING PATTERN "*.5")
 install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/rc     DESTINATION ${TASK_DOCDIR})

=== i18n/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/ DESTINATION ${TASK_DOCDIR}/i18n
                                                FILES_MATCHING REGEX "tips.*"
                                                               PATTERN "CMakeFiles" EXCLUDE)

=== scripts/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 2.8)
-install (DIRECTORY bash fish vim zsh extensions
+install (DIRECTORY bash fish vim zsh
          DESTINATION ${TASK_DOCDIR}/scripts)
 install (DIRECTORY add-ons
          DESTINATION ${TASK_DOCDIR}/scripts

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
                      ${TASK_INCLUDE_DIRS})
 
 set (task_SRCS A3.cpp A3.h
-               API.cpp API.h
                Arg.cpp Arg.h
                Color.cpp Color.h
                Config.cpp Config.h
@@ -30,6 +29,7 @@
                TransportCurl.cpp TransportCurl.h
                TransportRSYNC.cpp TransportRSYNC.h
                TransportSSH.cpp TransportSSH.h
+               TransportShell.cpp TransportShell.h
                Uri.cpp Uri.h
                ViewTask.cpp ViewTask.h
                ViewText.cpp ViewText.h
@@ -44,7 +44,7 @@
                text.cpp text.h
                utf8.cpp utf8.h
                util.cpp util.h
-               wcwidth6.c)
+               wcwidth6.cpp)
 
 add_library (task STATIC ${task_SRCS})
 add_executable (task_executable main.cpp)

=== src/columns/CMakeLists.txt ===
--- 
+++ 
@@ -6,17 +6,16 @@
                      ${TASK_INCLUDE_DIRS})
 
 set (columns_SRCS Column.cpp Column.h
-                  ColBg.cpp ColBg.h
                   ColDate.cpp ColDate.h
                   ColDepends.cpp ColDepends.h
                   ColDescription.cpp ColDescription.h
                   ColDue.cpp ColDue.h
                   ColEnd.cpp ColEnd.h
                   ColEntry.cpp ColEntry.h
-                  ColFg.cpp ColFg.h
                   ColID.cpp ColID.h
                   ColIMask.cpp ColIMask.h
                   ColMask.cpp ColMask.h
+                  ColModified.cpp ColModified.h
                   ColParent.cpp ColParent.h
                   ColPriority.cpp ColPriority.h
                   ColProject.cpp ColProject.h

=== src/commands/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 set (commands_SRCS Command.cpp        Command.h
                    CmdAdd.cpp         CmdAdd.h
+                   CmdAliases.cpp     CmdAliases.h
                    CmdAnnotate.cpp    CmdAnnotate.h
                    CmdAppend.cpp      CmdAppend.h
                    CmdBurndown.cpp    CmdBurndown.h
@@ -42,7 +43,7 @@
                    CmdShell.cpp       CmdShell.h
                    CmdShow.cpp        CmdShow.h
                    CmdStart.cpp       CmdStart.h
-                   CmdStatistics.cpp  CmdStatistics.h
+                   CmdStats.cpp       CmdStats.h
                    CmdStop.cpp        CmdStop.h
                    CmdSummary.cpp     CmdSummary.h
                    CmdSynch.cpp       CmdSynch.h

=== debian/changelog ===
task (2.2.0-3) unstable; urgency=low

  * Rename /etc/bash_completion.d/task.sh back as /etc/bash_completion.d/task
    (closes: #710321):
    + Update debian/rules accordingly.
    + Add debian/maintscript to let dh_installdeb add maintainer script
      snippets to remove the old file.
    + Bump minimum required version of debhelper to 8.1 (for
      dpkg-maintscript-helper support.)
    + Add ${misc:Pre-Depends} to Pre-Depends. (It's not strictly necessary for
      unstable, but it eases wheezy backports).
  * Add DEP-8 tests.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 03 Jun 2013 18:47:50 +0200

task (2.2.0-2) unstable; urgency=low

  * Upload to unstable.
  * Adapt the test suite to Debian needs:
    + Add patch (tests-set-build-type.diff) to set cmake build type to ‘debug’
      and append -Wall to CXXFLAGS. That way tests are built with the same
      flags as normal code.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 12 May 2013 02:12:45 +0200

task (2.2.0-1) experimental; urgency=low

  * New upstream release.
    + This release no longer supports Lua extensions.
      - Remove lublua5.1-dev from Build-Depends.
    + Drop fix-manpage-formatting.diff; applied upstream.
    + Drop fix-manpage-installation.diff; applied upstream.
    + Drop fix-typos.diff; applied upstream.
    + Refresh other patches.
    + Update debian/copyright.
    + Fix duplication of completed task on merge (closes: #700255).
      Thanks to Helmut Grohne for the bug report.
  * Add supplemental .orig.tar with the test suite.
    + Add get-orig-source target, which imports the tests from the upstream
      VCS.
  * Adapt the test suite to Debian needs:
    + Add patch (tests-out-of-tree.diff) to allow running tests out-of-tree
    + Add patch (tests-unset-env-vars.diff) unset TASK* environment variables.
    + Add patch (tests-fail.diff) to make the test runner exit with non-zero
      code if any of the tests fail.
    + Add patch (tests-for-released-version.diff) to allow running tests
      against a released version of taskwarrior.
    + Add patch (tests-temporary-directory.diff) to fix insecure use of /tmp.
  * Run tests at build time.
    + Update debian/rules.
    + Add libjson-perl to Build-Depends.
  * Add patch (directory-no-path-max.diff) to use get_current_dir_name()
    instead of relying on PATH_MAX, as the latter is not defined on GNU/Hurd.
  * Add patch (directory-handle-dt-unknown.diff) to properly handle d_type ==
    DT_UNKNOWN.
  * Add patch (system-hurd.diff) to add support for GNU/Hurd systems.
  * Add patch (system-kfreebsd.diff) to add support for GNU/kFreeBSD systems.
  * Link against libuuid.
    + Add uuid-dev to Build-Depends.
  * Don't use dh_testdir; instead use target dependencies to ensure that
    debian/rules is run from the correct directory.
  * Run dh_clean as the first command in the clean target.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 11 Apr 2013 00:43:17 +0200

task (2.1.2-1) experimental; urgency=low

  * New maintainer.
    Thanks to Alexander Neumann for his past work on this package.
  * Relicense Debian packaging to the same license upstream uses (MIT), as
    agreed with Alexander.
  * New upstream release (closes: 693979).
    + Fix order of priorities in the project summary (closes: #680353).
      Thanks to Marcin Kulisz for the bug report.
  * Update debian/copyright.
  * Bump standards version to 3.9.4 (no changes needed).
  * Switch to source format 3.0 (quilt).
  * Remove pre-built static libraries early in the build* targets.
  * Remove cmake.h in the clean target.
  * Rewrite debian/rules from scratch, without cdbs.
    + Drop "cbds" from Build-Depends.
    + Add "dpkg-dev (>= 1.15.7)" to Build-Depends, for dpkg-buildflags.
  * Don't install vim support files to the binary package; they are already
    included in the vim package itself.
  * Don't install /usr/share/task/refresh to the binary package; it's not
    useful at runtime.
  * Fix TASK_RCDIR in cmake.h (closes: #669344).
    Thanks to Sylvain Fankhauser for the bug report.
  * Add Lintian override for spelling-error-in-manpage; the misspelling in
    question is deliberate.
  * Add patch (fix-manpage-formatting.diff) to fix a formatting error in the
    task(1) manual page (closes: #699332).
  * Add patch (fix-manpage-installation.diff) to fix manual page installation
    for out-of-tree builds.
  * Add patch (fix-typos.diff) to fix some spelling errors.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 27 Feb 2013 17:05:06 +0100

task (2.0.0-1) unstable; urgency=low

  * new upstream version (closes: #666903)
  * this version can be built using gcc-4.7 (closes: #667390)

 -- Alexander Neumann <alexander@debian.org>  Sun, 08 Apr 2012 12:37:11 +0200

task (1.9.4-2) unstable; urgency=low

  * include right path to colorthemes in generated .taskrc (closes: #638269)

 -- Alexander Neumann <alexander@debian.org>  Thu, 25 Aug 2011 22:18:17 +0200

task (1.9.4-1) unstable; urgency=low

  * new upstream version (closes: #635141)
  * update standards version to 3.9.2 (no changes)

 -- Alexander Neumann <alexander@debian.org>  Mon, 01 Aug 2011 22:01:52 +0200

task (1.9.3-1) unstable; urgency=low

  * new upstream version
  * update standards version to 3.9.1 (no changes)

 -- Alexander Neumann <alexander@debian.org>  Sun, 05 Dec 2010 13:46:37 +0100

task (1.9.2-1) unstable; urgency=low

  * new upstream version
  * update standards version to 3.9.0

 -- Alexander Neumann <alexander@debian.org>  Tue, 20 Jul 2010 10:02:25 +0200

task (1.9.1-1) unstable; urgency=low

  * new upstream version

 -- Alexander Neumann <alexander@debian.org>  Mon, 31 May 2010 16:55:14 +0200

task (1.9.0-3) unstable; urgency=low

  * restored old (buggy) behaviour, as libuuid is untested (by upstream)
    (reopens #573066, will be fixed upstream in 1.9.1)

 -- Alexander Neumann <alexander@debian.org>  Tue, 09 Mar 2010 12:32:30 +0100

task (1.9.0-2) unstable; urgency=low



=== debian/control ===
Source: task
Section: utils
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 8.1),
 dpkg-dev (>= 1.15.7),
 cmake,
 uuid-dev,
 libjson-perl,
Standards-Version: 3.9.4
Homepage: http://taskwarrior.org

Package: task
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: feature-rich console based todo list manager
 Taskwarrior is a sophisticated command line todo list and task
 manager with a lot of features:
 .
  * colorful tabbed output
  * feature rich search function
  * tags
  * statistics
  * Getting Things Done compatible
  * interactive editing of items in text editor

=== debian/rules ===
#!/usr/bin/make -f

cflags = $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
cxxflags = $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
ldflags = $(shell dpkg-buildflags --get LDFLAGS)

cmake_options = \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_C_FLAGS_DEBUG="$(cflags)" \
	-DCMAKE_CXX_FLAGS_DEBUG="$(cxxflags)" \
	-DCMAKE_EXE_LINKER_FLAGS_DEBUG="$(ldflags)" \

parallel = -j$(or $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS))),1)

.PHONY: clean
clean: debian/control
	dh_clean
	rm -rf obj/
	rm -f cmake.h

# Add here any variable or target overrides you need.

.PHONY: build build-arch build-indep
build build-arch: obj/stamp

obj/stamp: debian/control
	mkdir -p $(dir $@)
	find src -name '*.a' -delete # pre-built cruft; see http://taskwarrior.org/issues/1178
	cd obj && cmake .. $(cmake_options)
	$(MAKE) -C obj/ $(parallel)
ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
	$(MAKE) -C obj/test/ $(parallel)
	mkdir -p obj/home/ obj/mock/
	ln -sf /bin/false obj/mock/scp
	HOME="$(CURDIR)/obj/home/" PATH="$(CURDIR)/obj/mock/:$$PATH" $(MAKE) -C obj/test/ test
endif
	touch $(@)

.PHONY: binary binary-arch binary-indep

binary: binary-arch
binary-arch: obj/stamp
	dh_testroot
	dh_prep
	$(MAKE) -C obj/ install DESTDIR=../debian/task/
	mkdir -p debian/task/usr/share/task/
	set -e; cd debian/task/usr/share/doc/task; \
		mv i18n ../../task; \
		rm rc/refresh; mv rc/* ../../task; rmdir rc; \
		rm -rf scripts; \
		rm INSTALL COPYING ChangeLog;
	dh_install
	cd debian/task/etc/bash_completion.d && mv task.sh task
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_installexamples
	dh_installman
	dh_lintian
	dh_compress
	dh_fixperms
	dh_strip
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

debdir = $(dir $(firstword $(MAKEFILE_LIST)))
version = $(shell head -n1 $(debdir)/changelog | cut -d ' ' -f2 | tr -d '()' | cut -d - -f 1)

.PHONY: get-orig-source
get-orig-source:
	sh $(debdir)/get-orig-source.sh $(version)

# vim:ts=4 sw=4 noet

=== debian/tests/control ===
Tests: taskwarrior
Depends: task, perl

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# the main taskwarrior download website
http://taskwarrior.org/wiki/taskwarrior/Download http://www.taskwarrior.org/download/task-(\d+\.\d+\.\d+)\.tar\.gz
